package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.TrafficAccidentTendency;
import com.lightinit.hsdatashow.entity.TrafficAccidentTendencyExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface TrafficAccidentTendencyMapper {
    long countByExample(TrafficAccidentTendencyExample example);

    int deleteByExample(TrafficAccidentTendencyExample example);

    int deleteByPrimaryKey(Long id);

    int insert(TrafficAccidentTendency record);

    int insertSelective(TrafficAccidentTendency record);

    List<TrafficAccidentTendency> selectByExample(TrafficAccidentTendencyExample example);

    TrafficAccidentTendency selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") TrafficAccidentTendency record, @Param("example") TrafficAccidentTendencyExample example);

    int updateByExample(@Param("record") TrafficAccidentTendency record, @Param("example") TrafficAccidentTendencyExample example);

    int updateByPrimaryKeySelective(TrafficAccidentTendency record);

    int updateByPrimaryKey(TrafficAccidentTendency record);

    List<ChartModel> getTrafficAccidentTen();
}